/*
 * (C) Copyright IBM Corp., 2002.
 *
 * ==========
 * $Source: /home/simgroup/cvsroot/rvm/src/examples/io/TestIsAbsolute.java,v $
 * $Revision: 1.1 $
 * $Date: 2003/09/08 16:45:26 $
 * $Author: irogers $
 * $Id: TestIsAbsolute.java,v 1.1 2003/09/08 16:45:26 irogers Exp $
 */

import java.io.File;

/**
 * Tests whether isAbsolute() handles zero-length names
 * correctly.  Used to throw a NullPointerException.
 *
 * @author Jeffrey Palm
 * @since  28 Jun 2002
 */
public class TestIsAbsolute {
  public static void main(String[] args) throws Exception {
    if (new File("").isAbsolute()) {
      throw new Error("empty filenames should be !isAbsolute");
    }      
  }
}
