/*
 * (C) Copyright IBM Corp. 2001
 */
//$Id: TestSuspend.java,v 1.1 2003/09/08 16:48:05 irogers Exp $
/**
 * @author unascribed
 */
class TestSuspend extends Thread {
  
  static Thread sleeper;

  public static void main(String args[]) throws Exception {
    System.out.println("TestSuspend");
    sleeper = Thread.currentThread();
    TestSuspend waker = new TestSuspend();
    waker.start();
    System.out.println(Thread.currentThread().getName() + ": suspending");
    sleeper.suspend();
    System.out.println(Thread.currentThread().getName() + ": resumed");
    System.out.println("main: bye");
  }
  
  public void run() {
    try {
      Thread.currentThread().sleep(5000);
    } catch (Exception e) {
      e.printStackTrace();
    }
    sleeper.resume();
  }
  
}
