/*
 * (C) Copyright Department of Computer Science,
 * Australian National University. 2003
 */
package org.mmtk.utility;

import org.mmtk.vm.VM_Interface;

import com.ibm.JikesRVM.VM_Address;
import com.ibm.JikesRVM.VM_Uninterruptible;

/*
 * @author <a href="http://cs.anu.edu.au/~Steve.Blackburn">Steve Blackburn</a>
 * @version $Revision: 1.5 $
 * @date $Date: 2004/02/07 04:26:33 $
 */
abstract class CycleDetector implements VM_Uninterruptible {
  public final static String Id = "$Id: CycleDetector.java,v 1.5 2004/02/07 04:26:33 irogers Exp $"; 

  abstract boolean collectCycles(int count, boolean time);
  abstract void possibleCycleRoot(VM_Address object);
}
