#
# (C) Copyright IBM Corp. 2001
#
#
# $Id: perf.awk,v 1.1 2003/09/08 16:43:25 irogers Exp $
#
# @author Julian Dolby
#

# collect index results for summary line
/Integer Index/ { intPerf = $3; next }
/FP Index/ { fpPerf = $3; next }

# pass thru individual results
/^[ A-Za-z]*:[^A-Za-z]*$/ { print $0 }

# ignore everything else
/.*/ { next }

# print summary at the end
END {
    print "Bottom Line: Integer Index " intPerf ", FP Index ", fpPerf;
}
