/*
 * (C) Copyright IBM Corp 2001,2002
 *
 * ==========
 * $Source: /home/simgroup/cvsroot/rvm/src/tools/eclipse/plugin2/src/com/ibm/jikesrvm/eclipse/jdt/launching/JikesRVMLauncherMessages.java,v $
 * $Revision: 1.1 $
 * $Date: 2003/09/08 16:49:24 $
 * $Author: irogers $
 * $Id: JikesRVMLauncherMessages.java,v 1.1 2003/09/08 16:49:24 irogers Exp $
 */
package com.ibm.jikesrvm.eclipse.jdt.launching;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * @author Jeffrey Palm
 */
public class JikesRVMLauncherMessages {

  private static final String RESOURCE_BUNDLE= 
    //"org.eclipse.jdt.internal.launching.jikesrvm2.JikesRVMLauncherMessages";
    "com.ibm.jikesrvm.eclipse.jdt.launching.JikesRVMLauncherMessages";

  private static ResourceBundle resources = ResourceBundle.getBundle(RESOURCE_BUNDLE);

  public static String getString(String key) {
    try {
      return resources.getString(key);
    } catch (MissingResourceException e) {
      return "!" + key + "!";
    }
  }

  private JikesRVMLauncherMessages() {}

}
