/*
 * (C) Copyright IBM Corp. 2001
 */
//$Id: VM_AOSDatabase.java,v 1.1 2003/09/08 16:50:10 irogers Exp $
package com.ibm.JikesRVM.adaptive;

/**
 * VM_AOSDatabase.java
 * 
 * Used to keep track of the various data structures that make up the
 * AOS database.  
 *
 * @author Matthew Arnold 
 */
public final class VM_AOSDatabase 
{
  /** 
   * Static links to data objects that are "whole-program" (as opposed
   * to per-method)
    */
  public static VM_MethodInvocationCounterData methodInvocationCounterData;
  public static VM_YieldpointCounterData yieldpointCounterData;
  public static VM_StringEventCounterData instructionCounterData;
  public static VM_StringEventCounterData debuggingCounterData;
 
  /**
   * Called at startup
   **/
  static void boot(VM_AOSOptions options)
  {
  }
}
