/*
 * (C) Copyright IBM Corp. 2001
 */
//$Id: VM_BasicBlockFactory.java,v 1.1 2003/09/08 16:54:52 irogers Exp $
package com.ibm.JikesRVM;

/**
 * @author Perry Cheng
 */
final class VM_BasicBlockFactory {

  private int nextBlockNumber = VM_BasicBlock.STARTBBNUMBER;

 // This should be the usual constructor, we know the start, but don't
 // yet know the end. No predecessors.
 VM_BasicBlock newBlock (int startval) {
   int blockNumber = nextBlockNumber ++;
   return new VM_BasicBlock(startval, blockNumber);
 }

 int getNumberofBlocks() {
   return (nextBlockNumber -1);
 }

}
