/*
 * (C) Copyright IBM Corp. 2001
 */
//$Id: OPT_ValueGraphEdge.java,v 1.1 2003/09/08 16:57:58 irogers Exp $
package com.ibm.JikesRVM.opt;

import  java.util.*;

/**
 * This class implements an edge in the value graph used in global value 
 * numbering
 * ala Alpern, Wegman and Zadeck.  See Muchnick p.348 for a nice
 * discussion.
 *
 * @author Stephen Fink
 */
class OPT_ValueGraphEdge extends OPT_SpaceEffGraphEdge {

  OPT_ValueGraphEdge (OPT_ValueGraphVertex src, OPT_ValueGraphVertex target) {
    super(src, target);
  }

  public String toString () {
    OPT_ValueGraphVertex src = (OPT_ValueGraphVertex)fromNode();
    OPT_ValueGraphVertex dest = (OPT_ValueGraphVertex)toNode();
    return  src.name + " --> " + dest.name;
  }
}



