/*
 * (C) Copyright IBM Corp. 2001
 */
//$Id: OPT_InlineOracleDictionaryPopulator.java,v 1.1 2003/09/08 16:58:15 irogers Exp $
package com.ibm.JikesRVM.opt;

import  java.io.*;

/**
 * This interface identifies objects that know how to populate an
 * OPT_InlineOracleDictionary from an input stream.
 *
 * @author Stephen Fink
 */
interface OPT_InlineOracleDictionaryPopulator {

  /**
   * Populate the inline oracle dictionary from an input stream
   * @param in the stream
   */
  void populateInlineOracleDictionary (LineNumberReader in);
}



